const packager = require('electron-packager');
const path = require('path');

packager({
  dir: path.resolve(__dirname, '..'),
  appCopyright: '2020 Twilio Inc.',
  name: 'TwilioQuest',
  icon: path.resolve(__dirname, 'mac.icns'),
  overwrite: true,
  osxSign: {
    identity: 'Developer ID Application: Kevin Whinnery (5WQC7DN227)',
    hardenedRuntime: true,
    entitlements: path.resolve(__dirname, 'entitlements.mac.plist'),
    'entitlements-inherit': path.resolve(__dirname, 'entitlements.mac.plist'),
    'signature-flags': 'library'
  }
});
