const log = require('electron-log');
log.debug('starting preload');

window.onerror = (message, source, lineno, colno, error) => {
  log.error(`${source}:${lineno}:${colno}:${message}`);
  log.error(error);
}

window.packageInfo = require('./package.json');
window.isLinux = process.platform === 'linux';

log.debug('finished preload');
